org.apache.xerces.impl.dv.dtd

## Class XML11IDDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.IDDatatypeValidator
  - - org.apache.xerces.impl.dv.dtd.XML11IDDatatypeValidator

- All Implemented Interfaces:
    DatatypeValidator

      public class XML11IDDatatypeValidator
      extends IDDatatypeValidator

  IDDatatypeValidator - ID represents the ID attribute type from XML 1.1 Recommendation. The value space of ID is the set of all strings that match the NCName production and have been used in an XML document. The lexical space of ID is the set of all strings that match the NCName production.

  The value space of ID is scoped to a specific instance document.

  The following constraint applies: An ID must not appear more than once in an XML document as a value of this type; i.e., ID values must uniquely identify the elements which bear them.

  Version:
    $Id: XML11IDDatatypeValidator.java 699902 2008-09-28 21:40:49Z mrglavas $
  Author:
    Jeffrey Rodriguez, IBM, Sandy Gao, IBM, Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML11IDDatatypeValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid ID value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML11IDDatatypeValidator

          public XML11IDDatatypeValidator()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.String content,
                      ValidationContext context)
                        throws InvalidDatatypeValueException

      Checks that "content" string is valid ID value. If invalid a Datatype validation exception is thrown.
      Specified by:
        `validate` in interface `DatatypeValidator`
      Overrides:
        `validate` in class `IDDatatypeValidator`
      Parameters:
        `content` - the string value that needs to be validated
        `context` - the validation context
      Throws:
        `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
        `InvalidDatatypeValueException`
      See Also:
        `InvalidDatatypeValueException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.